Skip to content

Proposes disabling ALL scoping for a source (it becomes global).

POST
/v1/m/sourcescope/sources/disable-scoping
curl --request POST \
--url https://example.com/v1/m/sourcescope/sources/disable-scoping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "source_ref": "example", "source_type": "example" }'

Proposes disabling ALL scoping for a source (it becomes global).

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
source_ref
required

After trimming it must be non-empty.

string
source_type
required

Case-insensitive after trimming: mcp, model, provider, knowledge, or data.

string
Example generated
{
"source_ref": "example",
"source_type": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}